{{/*
SPDX-FileCopyrightText: 2024 Zentrum für Digitale Souveränität der Öffentlichen Verwaltung (ZenDiS) GmbH
SPDX-License-Identifier: Apache-2.0
*/}}
---
apiVersion: "{{ include "common.capabilities.ingress.apiVersion" . }}"
kind: "Ingress"
metadata:
  name: "{{ include "common.names.fullname" . }}"
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.additionalLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.additionalLabels "context" . ) | nindent 4 }}
    {{- end }}
  annotations:
    nginx.ingress.kubernetes.io/server-snippet: |
      location ~* "^/$" {
        return 302 https://{{ .Values.global.hosts.univentionManagementStack }}.{{ .Values.global.domain }};
      }
    nginx.org/server-snippets: |
      location ~* "^/$" {
        return 302 https://{{ .Values.global.hosts.univentionManagementStack }}.{{ .Values.global.domain }};
      }
    haproxy.org/request-redirect: "https://{{ .Values.global.hosts.univentionManagementStack }}.{{ .Values.global.domain }}"
    haproxy-ingress.github.io/redirect-to: "https://{{ .Values.global.hosts.univentionManagementStack }}.{{ .Values.global.domain }}"
    {{- if .Values.additionalAnnotations }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.additionalAnnotations "context" . ) | nindent 4 }}
    {{- end }}
    {{- if .Values.ingress.annotations }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.ingress.annotations "context" . ) | nindent 4 }}
    {{- end }}
spec:
  {{- if .Values.ingress.ingressClassName }}
  ingressClassName: {{ .Values.ingress.ingressClassName | quote }}
  {{- end }}
  {{- if .Values.ingress.tls.enabled }}
  tls:
    - hosts:
        - {{ .Values.global.domain | quote }}
      secretName: "{{ .Values.ingress.tls.secretName | default (printf "%s-tls" (include "common.names.fullname" . )) }}"
  {{- end }}
  rules:
    - host: {{ .Values.global.domain | quote }}
...
